Custody providers

Get Custody Wallets For Warrant

Ignores warrantID and returns address and name of every custody wallet in the org.

GEThttps://api.toku.com/tga/get-custody-wallets-for-warrant

Not available to API keys.

curl --request GET \
  --url 'https://api.toku.com/tga/get-custody-wallets-for-warrant?warrantID=%3CwarrantID%3E' \
  --header 'Authorization: Bearer <token>'
200 response
[
  {
    "walletAddress": "string",
    "walletName": "string"
  }
]

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Query parameters

warrantIDstring<uuid>required

Response

200Successful response
walletAddressstringrequired
walletNamestringrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits